-65535 | RS1 | RS1 (algorithme COSE -65535) : RSASSA-PKCS1-v1_5 using SHA-1. Famille : RSASSA-PKCS1-v1_5. Recommandé : déconseillé. | RFC 8812RFC 9053 |
-65534 | A128CTR | A128CTR (algorithme COSE -65534) : AES-CTR w/ 128-bit key. Famille : AES-CTR sans authentification. Recommandé : déconseillé. | RFC 9459 |
-65533 | A192CTR | A192CTR (algorithme COSE -65533) : AES-CTR w/ 192-bit key. Famille : AES-CTR sans authentification. Recommandé : déconseillé. | RFC 9459 |
-65532 | A256CTR | A256CTR (algorithme COSE -65532) : AES-CTR w/ 256-bit key. Famille : AES-CTR sans authentification. Recommandé : déconseillé. | RFC 9459 |
-65531 | A128CBC | A128CBC (algorithme COSE -65531) : AES-CBC w/ 128-bit key. Famille : AES-CBC sans authentification. Recommandé : déconseillé. | RFC 9459 |
-65530 | A192CBC | A192CBC (algorithme COSE -65530) : AES-CBC w/ 192-bit key. Famille : AES-CBC sans authentification. Recommandé : déconseillé. | RFC 9459 |
-65529 | A256CBC | A256CBC (algorithme COSE -65529) : AES-CBC w/ 256-bit key. Famille : AES-CBC sans authentification. Recommandé : déconseillé. | RFC 9459 |
-268 | ESB512 | ESB512 (algorithme COSE -268) : ECDSA using BrainpoolP512r1 curve and SHA-512. Famille : ECDSA. Recommandé : non.brainpoolP512r1 | RFC 9864, Section 2.1 |
-267 | ESB384 | ESB384 (algorithme COSE -267) : ECDSA using BrainpoolP384r1 curve and SHA-384. Famille : ECDSA. Recommandé : non.brainpoolP384r1 | RFC 9864, Section 2.1 |
-266 | ESB320 | ESB320 (algorithme COSE -266) : ECDSA using BrainpoolP320r1 curve and SHA-384. Famille : ECDSA. Recommandé : non.brainpoolP320r1 | RFC 9864, Section 2.1 |
-265 | ESB256 | ESB256 (algorithme COSE -265) : ECDSA using BrainpoolP256r1 curve and SHA-256. Famille : ECDSA. Recommandé : non.brainpoolP256r1 | RFC 9864, Section 2.1 |
-264 | KT256 | KT256 (algorithme COSE -264) : KT256 XOF. Famille : une fonction à sortie extensible. Recommandé : non. | RFC 9861 |
-263 | KT128 | KT128 (algorithme COSE -263) : KT128 XOF. Famille : une fonction à sortie extensible. Recommandé : non. | RFC 9861 |
-262 | TurboSHAKE256 | TurboSHAKE256 (algorithme COSE -262) : TurboSHAKE256 XOF. Famille : une fonction à sortie extensible. Recommandé : non. | RFC 9861 |
-261 | TurboSHAKE128 | TurboSHAKE128 (algorithme COSE -261) : TurboSHAKE128 XOF. Famille : une fonction à sortie extensible. Recommandé : non. | RFC 9861 |
-260 | WalnutDSA | WalnutDSA (algorithme COSE -260) : WalnutDSA signature. Famille : WalnutDSA. Recommandé : non. | RFC 9021RFC 9053 |
-259 | RS512 | RS512 (algorithme COSE -259) : RSASSA-PKCS1-v1_5 using SHA-512. Famille : RSASSA-PKCS1-v1_5. Recommandé : non. | RFC 8812RFC 9053 |
-258 | RS384 | RS384 (algorithme COSE -258) : RSASSA-PKCS1-v1_5 using SHA-384. Famille : RSASSA-PKCS1-v1_5. Recommandé : non. | RFC 8812RFC 9053 |
-257Note | RS256 | RS256 (algorithme COSE -257) : RSASSA-PKCS1-v1_5 using SHA-256. Famille : RSASSA-PKCS1-v1_5. Recommandé : non. | RFC 8812RFC 9053 |
-53 | Ed448 | Ed448 (algorithme COSE -53) : EdDSA using the Ed448 parameter set in [Section 5.2 of RFC 8032]. Famille : EdDSA. Recommandé : oui.edwards448 | RFC 9864, Section 2.2 |
-52 | ESP512 | ESP512 (algorithme COSE -52) : ECDSA using P-521 curve and SHA-512. Famille : ECDSA. Recommandé : oui.P-521 | RFC 9864, Section 2.1 |
-51 | ESP384 | ESP384 (algorithme COSE -51) : ECDSA using P-384 curve and SHA-384. Famille : ECDSA. Recommandé : oui.P-384 | RFC 9864, Section 2.1 |
-50 | ML-DSA-87 | ML-DSA-87 (algorithme COSE -50) : CBOR Object Signing Algorithm for ML-DSA-87. Famille : ML-DSA. Recommandé : oui. | RFC 9964 |
-49 | ML-DSA-65 | ML-DSA-65 (algorithme COSE -49) : CBOR Object Signing Algorithm for ML-DSA-65. Famille : ML-DSA. Recommandé : oui. | RFC 9964 |
-48 | ML-DSA-44 | ML-DSA-44 (algorithme COSE -48) : CBOR Object Signing Algorithm for ML-DSA-44. Famille : ML-DSA. Recommandé : oui. | RFC 9964 |
-47 | ES256K | ES256K (algorithme COSE -47) : ECDSA using secp256k1 curve and SHA-256. Famille : ECDSA. Recommandé : non.secp256k1 | RFC 8812RFC 9053 |
-46 | HSS-LMS | HSS-LMS (algorithme COSE -46) : HSS/LMS hash-based digital signature. Famille : signatures fondées sur le hachage HSS/LMS. Recommandé : oui. | RFC 8778RFC 9053 |
-45 | SHAKE256 | SHAKE256 (algorithme COSE -45) : SHAKE-256 512-bit Hash Value. Famille : une fonction de hachage. Recommandé : oui. | RFC 9054RFC 9053 |
-44 | SHA-512 | SHA-512 (algorithme COSE -44) : SHA-2 512-bit Hash. Famille : une fonction de hachage. Recommandé : oui. | RFC 9054RFC 9053 |
-43 | SHA-384 | SHA-384 (algorithme COSE -43) : SHA-2 384-bit Hash. Famille : une fonction de hachage. Recommandé : oui. | RFC 9054RFC 9053 |
-42 | RSAES-OAEP w/ SHA-512 | RSAES-OAEP w/ SHA-512 (algorithme COSE -42) : RSAES-OAEP w/ SHA-512. Famille : chiffrement RSAES-OAEP. Recommandé : oui. | RFC 8230RFC 9053 |
-41 | RSAES-OAEP w/ SHA-256 | RSAES-OAEP w/ SHA-256 (algorithme COSE -41) : RSAES-OAEP w/ SHA-256. Famille : chiffrement RSAES-OAEP. Recommandé : oui. | RFC 8230RFC 9053 |
-40 | RSAES-OAEP w/ RFC 8017 default parameters | RSAES-OAEP w/ RFC 8017 default parameters (algorithme COSE -40) : RSAES-OAEP w/ SHA-1. Famille : chiffrement RSAES-OAEP. Recommandé : oui. | RFC 8230RFC 9053 |
-39 | PS512 | PS512 (algorithme COSE -39) : RSASSA-PSS w/ SHA-512. Famille : RSASSA-PSS. Recommandé : oui. | RFC 8230RFC 9053 |
-38 | PS384 | PS384 (algorithme COSE -38) : RSASSA-PSS w/ SHA-384. Famille : RSASSA-PSS. Recommandé : oui. | RFC 8230RFC 9053 |
-37 | PS256 | PS256 (algorithme COSE -37) : RSASSA-PSS w/ SHA-256. Famille : RSASSA-PSS. Recommandé : oui. | RFC 8230RFC 9053 |
-36 | ES512 | ES512 (algorithme COSE -36) : ECDSA w/ SHA-512. Famille : ECDSA. Recommandé : déconseillé. | RFC 9053RFC 9864 |
-35 | ES384 | ES384 (algorithme COSE -35) : ECDSA w/ SHA-384. Famille : ECDSA. Recommandé : déconseillé. | RFC 9053RFC 9864 |
-34 | ECDH-SS + A256KW | ECDH-SS + A256KW (algorithme COSE -34) : ECDH SS w/ Concat KDF and AES Key Wrap w/ 256-bit key. Famille : ECDH statique-statique suivi d’un enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-33 | ECDH-SS + A192KW | ECDH-SS + A192KW (algorithme COSE -33) : ECDH SS w/ Concat KDF and AES Key Wrap w/ 192-bit key. Famille : ECDH statique-statique suivi d’un enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-32 | ECDH-SS + A128KW | ECDH-SS + A128KW (algorithme COSE -32) : ECDH SS w/ Concat KDF and AES Key Wrap w/ 128-bit key. Famille : ECDH statique-statique suivi d’un enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-31 | ECDH-ES + A256KW | ECDH-ES + A256KW (algorithme COSE -31) : ECDH ES w/ Concat KDF and AES Key Wrap w/ 256-bit key. Famille : ECDH éphémère-statique suivi d’un enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-30 | ECDH-ES + A192KW | ECDH-ES + A192KW (algorithme COSE -30) : ECDH ES w/ Concat KDF and AES Key Wrap w/ 192-bit key. Famille : ECDH éphémère-statique suivi d’un enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-29 | ECDH-ES + A128KW | ECDH-ES + A128KW (algorithme COSE -29) : ECDH ES w/ Concat KDF and AES Key Wrap w/ 128-bit key. Famille : ECDH éphémère-statique suivi d’un enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-28 | ECDH-SS + HKDF-512 | ECDH-SS + HKDF-512 (algorithme COSE -28) : ECDH SS w/ HKDF - generate key directly. Famille : ECDH statique-statique. Recommandé : oui. | RFC 9053 |
-27 | ECDH-SS + HKDF-256 | ECDH-SS + HKDF-256 (algorithme COSE -27) : ECDH SS w/ HKDF - generate key directly. Famille : ECDH statique-statique. Recommandé : oui. | RFC 9053 |
-26 | ECDH-ES + HKDF-512 | ECDH-ES + HKDF-512 (algorithme COSE -26) : ECDH ES w/ HKDF - generate key directly. Famille : ECDH éphémère-statique. Recommandé : oui. | RFC 9053 |
-25 | ECDH-ES + HKDF-256 | ECDH-ES + HKDF-256 (algorithme COSE -25) : ECDH ES w/ HKDF - generate key directly. Famille : ECDH éphémère-statique. Recommandé : oui. | RFC 9053 |
-19 | Ed25519 | Ed25519 (algorithme COSE -19) : EdDSA using the Ed25519 parameter set in [Section 5.1 of RFC 8032]. Famille : EdDSA. Recommandé : oui.edwards25519 | RFC 9864, Section 2.2 |
-18 | SHAKE128 | SHAKE128 (algorithme COSE -18) : SHAKE-128 256-bit Hash Value. Famille : une fonction de hachage. Recommandé : oui. | RFC 9054RFC 9053 |
-17 | SHA-512/256 | SHA-512/256 (algorithme COSE -17) : SHA-2 512-bit Hash truncated to 256-bits. Famille : une fonction de hachage. Recommandé : oui. | RFC 9054RFC 9053 |
-16 | SHA-256 | SHA-256 (algorithme COSE -16) : SHA-2 256-bit Hash. Famille : une fonction de hachage. Recommandé : oui. | RFC 9054RFC 9053 |
-15 | SHA-256/64 | SHA-256/64 (algorithme COSE -15) : SHA-2 256-bit Hash truncated to 64-bits. Famille : une fonction de hachage. Recommandé : uniquement pour le filtrage, jamais pour la sécurité. | RFC 9054RFC 9053 |
-14 | SHA-1 | SHA-1 (algorithme COSE -14) : SHA-1 Hash. Famille : une fonction de hachage. Recommandé : uniquement pour le filtrage, jamais pour la sécurité. | RFC 9054RFC 9053 |
-13 | direct+HKDF-AES-256 | direct+HKDF-AES-256 (algorithme COSE -13) : Shared secret w/ AES-MAC 256-bit key. Famille : une clé partagée étendue avec HKDF. Recommandé : oui. | RFC 9053 |
-12 | direct+HKDF-AES-128 | direct+HKDF-AES-128 (algorithme COSE -12) : Shared secret w/ AES-MAC 128-bit key. Famille : une clé partagée étendue avec HKDF. Recommandé : oui. | RFC 9053 |
-11 | direct+HKDF-SHA-512 | direct+HKDF-SHA-512 (algorithme COSE -11) : Shared secret w/ HKDF and SHA-512. Famille : une clé partagée étendue avec HKDF. Recommandé : oui. | RFC 9053 |
-10 | direct+HKDF-SHA-256 | direct+HKDF-SHA-256 (algorithme COSE -10) : Shared secret w/ HKDF and SHA-256. Famille : une clé partagée étendue avec HKDF. Recommandé : oui. | RFC 9053 |
-9 | ESP256 | ESP256 (algorithme COSE -9) : ECDSA using P-256 curve and SHA-256. Famille : ECDSA. Recommandé : oui.P-256 | RFC 9864, Section 2.1 |
-8Note | EdDSA | EdDSA (algorithme COSE -8) : EdDSA. Famille : EdDSA. Recommandé : déconseillé. | RFC 9053RFC 9864 |
-7Note | ES256 | ES256 (algorithme COSE -7) : ECDSA w/ SHA-256. Famille : ECDSA. Recommandé : déconseillé. | RFC 9053RFC 9864 |
-6 | direct | direct (algorithme COSE -6) : Direct use of CEK. Famille : utilisation directe d’une clé symétrique partagée. Recommandé : oui. | RFC 9053 |
-5 | A256KW | A256KW (algorithme COSE -5) : AES Key Wrap w/ 256-bit key. Famille : enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-4 | A192KW | A192KW (algorithme COSE -4) : AES Key Wrap w/ 192-bit key. Famille : enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
-3 | A128KW | A128KW (algorithme COSE -3) : AES Key Wrap w/ 128-bit key. Famille : enveloppement de clé AES. Recommandé : oui. | RFC 9053 |
1 | A128GCM | A128GCM (algorithme COSE 1) : AES-GCM mode w/ 128-bit key, 128-bit tag. Famille : AES-GCM. Recommandé : oui. | RFC 9053 |
2 | A192GCM | A192GCM (algorithme COSE 2) : AES-GCM mode w/ 192-bit key, 128-bit tag. Famille : AES-GCM. Recommandé : oui. | RFC 9053 |
3 | A256GCM | A256GCM (algorithme COSE 3) : AES-GCM mode w/ 256-bit key, 128-bit tag. Famille : AES-GCM. Recommandé : oui. | RFC 9053 |
4 | HMAC 256/64 | HMAC 256/64 (algorithme COSE 4) : HMAC w/ SHA-256 truncated to 64 bits. Famille : HMAC. Recommandé : oui. | RFC 9053 |
5 | HMAC 256/256 | HMAC 256/256 (algorithme COSE 5) : HMAC w/ SHA-256. Famille : HMAC. Recommandé : oui. | RFC 9053 |
6 | HMAC 384/384 | HMAC 384/384 (algorithme COSE 6) : HMAC w/ SHA-384. Famille : HMAC. Recommandé : oui. | RFC 9053 |
7 | HMAC 512/512 | HMAC 512/512 (algorithme COSE 7) : HMAC w/ SHA-512. Famille : HMAC. Recommandé : oui. | RFC 9053 |
10 | AES-CCM-16-64-128 | AES-CCM-16-64-128 (algorithme COSE 10) : AES-CCM mode 128-bit key, 64-bit tag, 13-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
11 | AES-CCM-16-64-256 | AES-CCM-16-64-256 (algorithme COSE 11) : AES-CCM mode 256-bit key, 64-bit tag, 13-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
12 | AES-CCM-64-64-128 | AES-CCM-64-64-128 (algorithme COSE 12) : AES-CCM mode 128-bit key, 64-bit tag, 7-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
13 | AES-CCM-64-64-256 | AES-CCM-64-64-256 (algorithme COSE 13) : AES-CCM mode 256-bit key, 64-bit tag, 7-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
14 | AES-MAC 128/64 | AES-MAC 128/64 (algorithme COSE 14) : AES-MAC 128-bit key, 64-bit tag. Famille : AES-CBC-MAC. Recommandé : oui. | RFC 9053 |
15 | AES-MAC 256/64 | AES-MAC 256/64 (algorithme COSE 15) : AES-MAC 256-bit key, 64-bit tag. Famille : AES-CBC-MAC. Recommandé : oui. | RFC 9053 |
24 | ChaCha20/Poly1305 | ChaCha20/Poly1305 (algorithme COSE 24) : ChaCha20/Poly1305 w/ 256-bit key, 128-bit tag. Famille : ChaCha20-Poly1305. Recommandé : oui. | RFC 9053 |
25 | AES-MAC 128/128 | AES-MAC 128/128 (algorithme COSE 25) : AES-MAC 128-bit key, 128-bit tag. Famille : AES-CBC-MAC. Recommandé : oui. | RFC 9053 |
26 | AES-MAC 256/128 | AES-MAC 256/128 (algorithme COSE 26) : AES-MAC 256-bit key, 128-bit tag. Famille : AES-CBC-MAC. Recommandé : oui. | RFC 9053 |
30 | AES-CCM-16-128-128 | AES-CCM-16-128-128 (algorithme COSE 30) : AES-CCM mode 128-bit key, 128-bit tag, 13-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
31 | AES-CCM-16-128-256 | AES-CCM-16-128-256 (algorithme COSE 31) : AES-CCM mode 256-bit key, 128-bit tag, 13-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
32 | AES-CCM-64-128-128 | AES-CCM-64-128-128 (algorithme COSE 32) : AES-CCM mode 128-bit key, 128-bit tag, 7-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
33 | AES-CCM-64-128-256 | AES-CCM-64-128-256 (algorithme COSE 33) : AES-CCM mode 256-bit key, 128-bit tag, 7-byte nonce. Famille : AES-CCM. Recommandé : oui. | RFC 9053 |
34 | IV-GENERATION | IV-GENERATION (algorithme COSE 34) : For doing IV generation for symmetric algorithms.. Famille : génération d’IV pour les algorithmes symétriques. Recommandé : non. | RFC 9053 |